import Vuex from 'vuex'
import Vue from 'vue'

Vue.use(Vuex)

const store = new Vuex.Store({
    state: {
      projectName: 'report',
      projectUrl:'/memberSummary'
    },
    mutations: {
      changeMicoApplication (state,obj) {
        console.log(obj)
        const {name } = obj;
        state.projectName = name;
      },
      changePageUrl(state,url){
        console.log(url)
        state.projectUrl = url;
      }
    }
  })
export default store;